Subject: the Spencer Sheriff's
From: "Char Olson" <[email-masked]>
To: "Kirchstein Jim" <[email-masked]>
Date: Wed, 16 May 2012 18:50:48 -0500

Had a nice long talk with Officer Terry Spencer today regarding his folks
and how wonderful he did when

Honoring them last week at the Sauk County Historical Society, Baraboo.
Great slide show.

He was very  open to the idea of doing a video . with your help.

He will run it past his siblings, friends and relatives. which there are
many, and then get back to me in a few weeks,

Or so.

My mother's 2 cousins Pat and Betty Olson sister to Walter Olson (realtor in
Madison) grew up on a farm west of Sauk Prairie and went to school with
Dolly Elsing Spencer.   Small world.  I'm sure there are many VIPs who would
love to say a few words about. back in the day.

I said I could see this as a very sellable video, even a possible movie some
day.. like at Sundance.  It would be nice to have a good narrator . like
Bill Dyke.  Ever see him?  I know he said his wife had some serious health
issues.

Alan Shanks is having more heart problems and many of Mike and Dolly's
friends are elderly and now is the time to  interview them.

Terry said he was already working on some history about how "things" have
changed in law enforcement over the past 50 years.  I think he was one of
the kids born in the jail.  Times change, huh?

Will keep you posted.

Some good news. sold 2 more paintings since last weekend . and. the
powers-to-be want to have my art displayed in the main hall at Durward's
Glen. Pretty cool.  I also sold 4 history books.  

Char